Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.juzu.metadata
Class ApplicationDescriptor

    java.lang.Object
      org.juzu.metadata.ApplicationDescriptor

    public class ApplicationDescriptor

extends Object

Author:
  Julien Viet

Constructor Summary
`ApplicationDescriptor(Class<?> applicationClass, Class<?> defaultController, Boolean escapeXML, String templatesPackageName)`

Method Summary
`Class<?>` | `getApplicationClass()`
`ClassLoader` | `getApplicationLoader()`
`ControllerMethod` | `getControllerMethod(Class<?> type, String name, Class<?>... parameterTypes)`
`ControllerMethod` | `getControllerMethodById(String methodId)`
`List<ControllerMethod>` | `getControllerMethods()`
`List<ControllerDescriptor>` | `getControllers()`
`Class<?>` | `getDefaultController()`
`Boolean` | `getEscapeXML()`
`String` | `getName()`
`String` | `getPackageName()`
`TemplateDescriptor` | `getTemplate(String path)`
`List<TemplateDescriptor>` | `getTemplates()`
`String` | `getTemplatesPackageName()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ApplicationDescriptor

    public ApplicationDescriptor(Class<?> applicationClass,
                                 Class<?> defaultController,
                                 Boolean escapeXML,
                                 String templatesPackageName)

Method Detail

### getApplicationClass

    public Class<?> getApplicationClass()

### getApplicationLoader

    public ClassLoader getApplicationLoader()

### getPackageName

    public String getPackageName()

### getEscapeXML

    public Boolean getEscapeXML()

### getName

    public String getName()

### getDefaultController

    public Class<?> getDefaultController()

### getControllers

    public List<ControllerDescriptor> getControllers()

### getControllerMethods

    public List<ControllerMethod> getControllerMethods()

### getTemplates

    public List<TemplateDescriptor> getTemplates()

### getTemplate

    public TemplateDescriptor getTemplate(String path)
                                   throws NullPointerException

  Throws:
    `NullPointerException`

### getControllerMethod

    public ControllerMethod getControllerMethod(Class<?> type,
                                                String name,
                                                Class<?>... parameterTypes)

### getControllerMethodById

    public ControllerMethod getControllerMethodById(String methodId)

### getTemplatesPackageName

    public String getTemplatesPackageName()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012 eXo Platform SAS. All Rights Reserved.